@charset "UTF-8";

:root, [data-bs-theme=light] {
  --nc-body: black;
  --nc-link-color: var(--bs-highlight-bg);
}

[data-bs-theme=dark] {
  --nc-body: white;
  --nc-link-color: #564105;
}

@font-face {
  font-family: "SF Mono";
  src: url("../fonts/sf-mono/sf-mono.woff2") format("woff2"),
       url("../fonts/sf-mono/sf-mono.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

@font-face {
  font-family: "Elzevier";
  src: url("../fonts/elzevier/elzevier.woff2") format("woff2"),
       url("../fonts/elzevier/elzevier.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

body {
  font-family: "Inter", var(--bs-font-sans-serif);
  font-optical-sizing: auto;
  line-height: 1.6;
  color: var(--bs-body-color);
  /* letter-spacing: -0.01ch;
  word-spacing: -0.1ch; */
}

.brand {
  font-family: "Playwrite TZ";
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 1.1em;
}

.brand .nc {
  color: var(--bs-body-color);
}

.brand .md {
  color: var(--bs-secondary);
  padding-left: .1em;
}

*::selection {
  background: var(--bs-highlight-bg);
}

/* BOOTSTRAP */

.text-monospace {
  font-family: "SF Mono", var(--bs-font-monospace);
}

.fw-medium {
  font-weight: 500;
}

/* GHOST */

.kg-image-card,
.kg-embed-card {
  --kg-image-width: min(100vw - 2rem, 900px);
  width: 100%;
  margin-inline: 0;
  margin: 1.5em 0;
}

.kg-image-card .kg-image,
.kg-embed-card iframe {
  max-width: 100%;
  height: auto;
  border-radius: var(--bs-border-radius-xl);
}

.kg-card-hascaption figcaption {
  margin-top: 0.5rem;
  text-align: center;
  font-size: 1rem;
  color: var(--bs-secondary-color);
}

/* CUSTOM */

.dropcap::first-letter {
  font-family: "Elzevier", serif;
  float: left;
  font-size: 5em;
  line-height: 0.8;
  padding: 0.1em 0.1em 0 0;
}

[data-bs-theme="dark"] .dropcap::first-letter {
  opacity: 0.8;
}

article a {
  word-break: break-word;
  color: var(--bs-emphasis-color);
  text-decoration: underline;
  text-underline-offset: -.2em;
  text-decoration-skip-ink: none;
  text-decoration-thickness: .6em;
  text-decoration-color: var(--nc-link-color);
  transition: text-decoration 300 var(--animation-base);
  -webkit-text-decoration-skip-ink: none;
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}

article a:hover {
  text-decoration-thickness: 1.6em;
  text-underline-offset: -1.2em;
}

article a::selection {
  color: inherit;
  background: var(--bs-highlight-bg);
  text-decoration-color: currentColor;
}

article a::-moz-selection {
  color: inherit;
  background: var(--bs-highlight-bg);
  text-decoration-color: currentColor;
}

article blockquote a {
  text-decoration-color: var(--bs-secondary-border-subtle);
}

article h1 {
  margin-bottom: .8em;
  line-height: 1.5em;
  font-family: "Inter", var(--bs-font-sans-serif);
  /* padding-bottom: 0.5em;
  border-bottom: 1.5px solid var(--bs-secondary-border-subtle); */
  font-weight: 500;
  font-size: 1.75em;
}

article h2,
article h3 {
  width: fit-content;
  margin-top: 1.5em;
  margin-bottom: 0.5em;
  padding-bottom: 0.15em;
  border-bottom: 1.5px solid var(--bs-secondary-border-subtle);
  font-weight: 500;
  font-size: 1.25em;
}

ul li, ol li {
  margin-bottom: 0.2em;
}

mark {
  background: var(--bs-secondary-bg);
  padding-left: 0;
  padding-right: 0;
}

strong {
  font-weight: 600;
}

.table {
  border-radius: var(--bs-border-radius-lg);
  overflow: hidden;
  border-collapse: separate;
  border-spacing: 0;
}

.table>:not(caption)>*>th {
  background: var(--bs-secondary-bg);
  font-weight: 600;
  border-bottom: 1px solid var(--bs-border-color);
}

.table>:not(caption)>*>td {
  background: var(--bs-secondary-bg);
}

.table th:first-child,
.table td:first-child {
  padding-left: .7em;
}

.code-inline {
  font-size: 1em;
  text-wrap: none;
  background: var(--bs-secondary-bg);
  color: var(--bs-body-color);
  padding: 0.1em 0.2em;
  border-radius: var(--bs-border-radius);
}

.math-inline {
  background: var(--bs-secondary-bg);
  color: var(--bs-body-color);
  padding: 0.1em 0.2em;
  border-radius: var(--bs-border-radius);
  line-height: normal;
}

.math-block {
  background: var(--bs-secondary-bg);
  color: var(--bs-body-color);
  padding: .5em;
  border-radius: var(--bs-border-radius-lg);
  overflow-x: auto;
  margin: 1.25rlh 0;
}

.mjx-dialog {
  font-family: "Inter", var(--bs-font-sans-serif) !important;
  background: var(--bs-secondary-bg) !important;
  color: var(--bs-body-color) !important;
  border-radius: var(--bs-border-radius-lg) !important;
  border-width: 0 !important;
  box-shadow: none !important;
}

mjx-dialog>div {
  background: var(--bs-secondary-bg) !important;
  color: var(--bs-body-color) !important;
  border-radius: var(--bs-border-radius-lg) !important;
  border-width: 0 !important;
  box-shadow: none !important;
  font-family: "Inter", var(--bs-font-sans-serif) !important;
}

mjx-title {
  color: var(--bs-body-color) !important;
  font-family: "Inter", var(--bs-font-sans-serif) !important;
}

.separator {
  width: 100%;
  background-image: var(--nc-separator-svg);
  background-repeat: repeat-x;
  height: 40px;
}

.prompt {
  max-width: fit-content;
  margin-bottom: 1em;
  background: var(--bs-secondary-bg);
  color: var(--bs-body-color);
  padding: 0.75em 1em;
  border-radius: var(--bs-border-radius-lg);
}

blockquote {
  border-radius: var(--bs-border-radius-lg);
  background: var(--bs-secondary-bg);
  margin: 1.25rlh 0;
  padding: 1em;
  position: relative;
}

.asterisk::before {
  content: "❊ ❈ ❊";
  color: var(--bs-warning-text-emphasis);
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%,-50%);
  /* background: var(--bs-body-bg); */
  background: linear-gradient(
    to bottom,
    var(--bs-body-bg) 0%,
    var(--bs-body-bg) 50%,
    var(--bs-secondary-bg-subtle) 50%,
    var(--bs-secondary-bg-subtle) 100%
  );
  padding: 0 0.5rem;
  font-style: normal;
}

a:focus-visible,
button:focus-visible,
mjx-container:focus-visible {
  outline: 2px solid var(--bs-warning-border-subtle);
  border-radius: var(--bs-border-radius-sm);
  outline-offset: 2px;
}

input,
textarea,
.form-control {
  padding: 0.5em 0.6em;
}

input:focus,
textarea:focus,
.form-control:focus {
  border: 1px solid var(--bs-border-color);
  outline: none;
  box-shadow: none;
}

#navigatorAddon,
#navigatorInput {
  font-size: 15px;
}

.modal-backdrop {
  --bs-backdrop-opacity: .75;
}

#nc-audio-progress-bar {
  cursor: pointer;
  -webkit-appearance: none;
  appearance: none;
  height: 6px;
  border-radius: var(--bs-border-radius);
}

#nc-audio-progress-bar::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 15px;
  height: 15px;
  background: var(--bs-body-color);
  border-radius: 50%;
}

/* MEDIA */

@media (min-width: 992px) {
  .kg-image-card,
  .kg-embed-card{
    width: var(--kg-image-width);
    margin-inline: calc((100% - var(--kg-image-width)) / 2);
  }
}